Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class AbstractDataObject

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject

Direct Known Subclasses:
  AppenderDO, EJBAppServerDO, EJBProviderDO, KeyStoreDO, LoggerDO, MaxTracedMessageSequenceDO, MessageDO, ModuleDO, ModuleParameterDO, ModulePolicyDO, OperationDO, OperationParameterDO, SecurityScenarioDO, SecurityTokenDO, SecurityTokenPropertyDO, ServerConfigurationDO, ServiceDO, ServiceGroupDO, ServiceGroupParameterDO, ServiceParameterDO, ServicePolicyDO, ServiceUserDO, ServiceUserRoleDO, TransportDO, TransportParameterDO

    public abstract class AbstractDataObject

extends java.util.Observable

Base class for all WSO2 WSAS data objects to be mapped by hibernate

Constructor Summary
`protected` | `AbstractDataObject()`

Method Summary
`java.lang.Long` | `getId()`
`java.util.Date` | `getLastUpdatedTime()`
`void` | `notifyObservers()`
`void` | `setId(java.lang.Long id)`
`void` | `setLastUpdatedTime(java.util.Date lastUpdatedTime)`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDataObject

    protected AbstractDataObject()

Method Detail

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getLastUpdatedTime

    public java.util.Date getLastUpdatedTime()

### setLastUpdatedTime

    public void setLastUpdatedTime(java.util.Date lastUpdatedTime)

### notifyObservers

    public void notifyObservers()

  Overrides:
    `notifyObservers` in class `java.util.Observable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD